## org.eclipse.ocl.expressions
Interface CallExp<C>

All Superinterfaces:
  ASTNode, CallingASTNode, EObject, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  AssociationClassCallExp<C,P>, AssociationClassCallExp, CallExp, FeatureCallExp<C>, FeatureCallExp, IterateExp<C,PM>, IterateExp, IteratorExp<C,PM>, IteratorExp, LoopExp<C,PM>, LoopExp, NavigationCallExp<C,P>, NavigationCallExp, OperationCallExp<C,O>, OperationCallExp, PropertyCallExp<C,P>, PropertyCallExp

All Known Implementing Classes:
  AssociationClassCallExpImpl, AssociationClassCallExpImpl, CallExpImpl, CallExpImpl, FeatureCallExpImpl, FeatureCallExpImpl, IterateExpImpl, IterateExpImpl, IteratorExpImpl, IteratorExpImpl, LoopExpImpl, LoopExpImpl, NavigationCallExpImpl, NavigationCallExpImpl, OperationCallExpImpl, OperationCallExpImpl, PropertyCallExpImpl, PropertyCallExpImpl

    public interface CallExp<C>

extends OCLExpression<C>, CallingASTNode

A representation of the model object 'Call Exp'.

The following features are supported:

- `Source`

See Also:
  `ExpressionsPackage.getCallExp()`

Method Summary
`OCLExpression<C>` `getSource()` Returns the value of the 'Source' containment reference
`void` `setSource(OCLExpression<C> value)` Sets the value of the '`Source`' containment reference

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSource

    OCLExpression<C> getSource()

  Returns the value of the 'Source' containment reference.

  If the meaning of the 'Source' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source' containment reference.
  See Also:
    `setSource(OCLExpression)`, `ExpressionsPackage.getCallExp_Source()`

### setSource

    void setSource(OCLExpression<C> value)

  Sets the value of the '`Source`' containment reference.

  Parameters:
    `value` - the new value of the 'Source' containment reference.
  See Also:
    `getSource()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.